aboutsummaryrefslogtreecommitdiffstats
path: root/tests/ci
diff options
context:
space:
mode:
Diffstat (limited to 'tests/ci')
-rw-r--r--tests/ci/docker/yardstick-ci/Dockerfile1
-rwxr-xr-xtests/ci/yardstick-verify42
2 files changed, 42 insertions, 1 deletions
diff --git a/tests/ci/docker/yardstick-ci/Dockerfile b/tests/ci/docker/yardstick-ci/Dockerfile
index cc23073d2..2d59fd69e 100644
--- a/tests/ci/docker/yardstick-ci/Dockerfile
+++ b/tests/ci/docker/yardstick-ci/Dockerfile
@@ -48,5 +48,6 @@ RUN cd ${YARDSTICK_REPO_DIR} && pip install -r tests/ci/requirements.txt
RUN cd ${YARDSTICK_REPO_DIR} && pip install .
ADD http://download.cirros-cloud.net/0.3.3/cirros-0.3.3-x86_64-disk.img /home/opnfv/images/
+ADD http://cloud-images.ubuntu.com/trusty/current/trusty-server-cloudimg-amd64-disk1.img /home/opnfv/images/
COPY ./exec_tests.sh /usr/local/bin/
diff --git a/tests/ci/yardstick-verify b/tests/ci/yardstick-verify
index c83193574..649eb31fd 100755
--- a/tests/ci/yardstick-verify
+++ b/tests/ci/yardstick-verify
@@ -80,7 +80,7 @@ cleanup()
return
fi
- for image in $(glance image-list | grep -e cirros-0.3.3 -e yardstick-trusty-server | awk '{print $2}'); do
+ for image in $(glance image-list | grep -e cirros-0.3.3 -e yardstick-trusty-server -e Ubuntu-14.04 | awk '{print $2}'); do
echo "Deleting image $image..."
glance image-delete $image || true
done
@@ -121,6 +121,20 @@ install_yardstick()
pip install .
}
+install_storperf()
+{
+ # Install Storper on huawei-pod1
+ if [ "$NODE_NAME" == "huawei-pod1" ]; then
+ echo
+ echo "========== Installing storperf =========="
+
+ if ! yardstick plugin install plugin/CI/storperf.yaml; then
+ echo "Install storperf plugin FAILED";
+ exit 1
+ fi
+ fi
+}
+
build_yardstick_image()
{
echo
@@ -174,6 +188,30 @@ load_cirros_image()
echo "Cirros image id: $CIRROS_IMAGE_ID"
}
+load_ubuntu_image()
+{
+ echo
+ echo "========== Loading ubuntu cloud image =========="
+
+ local ubuntu_image_file=/home/opnfv/images/trusty-server-cloudimg-amd64-disk1.img
+
+ output=$(glance image-create \
+ --name Ubuntu-14.04 \
+ --disk-format qcow2 \
+ --container-format bare \
+ --file $ubuntu_image_file)
+ echo "$output"
+
+ UBUNTU_IMAGE_ID=$(echo "$output" | grep " id " | awk '{print $(NF-1)}')
+
+ if [ -z "$UBUNTU_IMAGE_ID" ]; then
+ echo 'Failed uploading UBUNTU image to cloud'.
+ exit 1
+ fi
+
+ echo "Ubuntu image id: $UBUNTU_IMAGE_ID"
+}
+
load_yardstick_image()
{
echo
@@ -361,8 +399,10 @@ main()
build_yardstick_image
load_yardstick_image
load_cirros_image
+ load_ubuntu_image
create_nova_flavor
+ install_storperf
run_test
}